Subject: Re: [0/14] Ebony support, 2nd spin

From: David Gibson <[email-masked]>
Date: Wed, 21 Feb 2007 11:33:58 +1100

On Tue, Feb 20, 2007 at 09:03:26AM -0600, Josh Boyer wrote:
> On Tue, 2007-02-20 at 08:46 -0600, Josh Boyer wrote:
> > On Tue, 2007-02-20 at 15:16 +0100, Arnd Bergmann wrote:
> > > On Tuesday 20 February 2007 15:05, Josh Boyer wrote:
> > > > Which probably has something to do with the of_serial driver being used
> > > > now.  Just an FYI.
> > > 
> > > If you want to use of_serial together with serial console, you need
> > > to make sure that the detection logic in arch/powerpc/kernel/legacy_serial.c
> > > finds the port. It currently finds the serial port on axon, but that
> > > requires that the bus it's on is of type "opb" and the device itself
> > > is listed as "stdout" and has type "serial" and is compatible with
> > > "ns16750" (note: the others look for "ns16550" here).
> > 
> > The ebony dts has the ports as ns16550.  That is required for the
> > bootwrapper to find the port to use for it's output at the moment.
> 
> And the ebony dts also has the a bus type of "ibm,opb" as well.
> 
> I hacked legacy_serial.c to look for ns16550 compatible devices with a
> parent OPB node of type "ibm,opb" and I got serial output on the Ebony
> board even with of_serial turned off.

No, the idea is that Ebony *should not* be using legacy_serial.  It
uses of_serial instead.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson